Package org.opensaml.xmlsec.signature.support

# Class SignatureConstants

java.lang.Object
org.opensaml.xmlsec.signature.support.SignatureConstants

public final class SignatureConstants extends Object
Constants defined in or related to the XML Signature 1.0 and 1.1 specifications and related RFCs.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ALGO_ID_C14N_EXCL_OMIT_COMMENTS`
Canonicalization - Exclusive WITHOUT comments.
`static final String`
`ALGO_ID_C14N_EXCL_WITH_COMMENTS`
Canonicalization - Exclusive WITH comments.
`static final String`
`ALGO_ID_C14N_OMIT_COMMENTS`
Canonicalization - Inclusive 1.0 WITHOUT comments.
`static final String`
`ALGO_ID_C14N_WITH_COMMENTS`
Canonicalization - Inclusive 1.0 WITH comments.
`static final String`
`ALGO_ID_C14N11_OMIT_COMMENTS`
Canonicalization - Inclusive 1.1 WITHOUT comments.
`static final String`
`ALGO_ID_C14N11_WITH_COMMENTS`
Canonicalization - Inclusive 1.1 WITH comments.
`static final String`
`ALGO_ID_DIGEST_NOT_RECOMMENDED_MD5`
Digest - Optional MD5.
`static final String`
`ALGO_ID_DIGEST_RIPEMD160`
Message Digest - RIPEMD-160 (Note: Defined by XML Encryption).
`static final String`
`ALGO_ID_DIGEST_SHA1`
Digest - Required SHA1.
`static final String`
`ALGO_ID_DIGEST_SHA224`
Digest - Optional SHA224.
`static final String`
`ALGO_ID_DIGEST_SHA256`
Message Digest - SHA256 (Note: Defined by XML Encryption).
`static final String`
`ALGO_ID_DIGEST_SHA3_224`
Digest - Optional SHA-3 224.
`static final String`
`ALGO_ID_DIGEST_SHA3_256`
Digest - Optional SHA-3 256.
`static final String`
`ALGO_ID_DIGEST_SHA3_384`
Digest - Optional SHA-3 384.
`static final String`
`ALGO_ID_DIGEST_SHA3_512`
Digest - Optional SHA-3 512.
`static final String`
`ALGO_ID_DIGEST_SHA384`
Digest - Optional SHA384.
`static final String`
`ALGO_ID_DIGEST_SHA512`
Message Digest - SHA512 (Note: Defined by XML Encryption).
`static final String`
`ALGO_ID_ENCODING_BASE64`
Encoding - Required Base64.
`static final String`
`ALGO_ID_MAC_HMAC_NOT_RECOMMENDED_MD5`
HMAC - NOT Recommended HMAC-MD5.
`static final String`
`ALGO_ID_MAC_HMAC_RIPEMD160`
HMAC - Optional HMAC-RIPEMD160.
`static final String`
`ALGO_ID_MAC_HMAC_SHA1`
MAC - Required HMAC-SHA1.
`static final String`
`ALGO_ID_MAC_HMAC_SHA224`
HMAC - Optional HMAC-SHA224.
`static final String`
`ALGO_ID_MAC_HMAC_SHA256`
HMAC - Optional HMAC-SHA256.
`static final String`
`ALGO_ID_MAC_HMAC_SHA384`
HMAC - Optional HMAC-SHA284.
`static final String`
`ALGO_ID_MAC_HMAC_SHA512`
HMAC - Optional HMAC-SHA512.
`static final String`
`ALGO_ID_SIGNATURE_DSA`
Signature - Optional DSAwithSHA1 (DSS).
`static final String`
`ALGO_ID_SIGNATURE_DSA_SHA1`
Signature - Optional DSAwithSHA1 (DSS).
`static final String`
`ALGO_ID_SIGNATURE_DSA_SHA256`
Signature - Optional DSAwithSHA256 (DSS).
`static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA1`
Signature - Optional ECDSAwithSHA1.
`static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA224`
Signature - Optional ECDSAwithSHA224.
`static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA256`
Signature - Optional ECDSAwithSHA256.
`static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA384`
Signature - Optional ECDSAwithSHA384.
`static final String`
`ALGO_ID_SIGNATURE_ECDSA_SHA512`
Signature - Optional ECDSAwithSHA512.
`static final String`
`ALGO_ID_SIGNATURE_NOT_RECOMMENDED_RSA_MD5`
Signature - NOT Recommended RSAwithMD5.
`static final String`
`ALGO_ID_SIGNATURE_RSA`
Signature - Required RSAwithSHA1 (PKCS1).
`static final String`
`ALGO_ID_SIGNATURE_RSA_RIPEMD160`
Signature - Optional RSAwithRIPEMD160.
`static final String`
`ALGO_ID_SIGNATURE_RSA_SHA1`
Signature - Required RSAwithSHA1 (PKCS1).
`static final String`
`ALGO_ID_SIGNATURE_RSA_SHA224`
Signature - Optional RSAwithSHA224.
`static final String`
`ALGO_ID_SIGNATURE_RSA_SHA256`
Signature - Required RSAwithSHA256.
`static final String`
`ALGO_ID_SIGNATURE_RSA_SHA384`
Signature - Required RSAwithSHA384.
`static final String`
`ALGO_ID_SIGNATURE_RSA_SHA512`
Signature - Required RSAwithSHA512.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA1_MGF1`
Signature - Optional RSASSA-PSS with SHA1 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA224_MGF1`
Signature - Optional RSASSA-PSS with SHA-224 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA256_MGF1`
Signature - Optional RSASSA-PSS with SHA-256 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_224_MGF1`
Signature - Optional RSASSA-PSS with SHA3-224 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_256_MGF1`
Signature - Optional RSASSA-PSS with SHA3-256 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_384_MGF1`
Signature - Optional RSASSA-PSS with SHA3-384 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_512_MGF1`
Signature - Optional RSASSA-PSS with SHA3-512 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA384_MGF1`
Signature - Optional RSASSA-PSS with SHA-384 and MGF1.
`static final String`
`ALGO_ID_SIGNATURE_RSASSA_PSS_SHA512_MGF1`
Signature - Optional RSASSA-PSS with SHA-512 and MGF1.
`static final String`
`MORE_ALGO_2007_05_NS`
Algorithm URI prefix used by RFC 4051 and RFC 9231.
`static final String`
`MORE_ALGO_NS`
Algorithm URI prefix used by RFC 4051.
`static final String`
`TRANSFORM_BASE64_DECODE`
Transform - Base64 Decode.
`static final String`
`TRANSFORM_C14N_EXCL_OMIT_COMMENTS`
Transform - Required Exclusive c14n WITHOUT comments.
`static final String`
`TRANSFORM_C14N_EXCL_WITH_COMMENTS`
Transform - Recommended Exclusive c14n WITH comments.
`static final String`
`TRANSFORM_C14N_OMIT_COMMENTS`
Transform - Required Inclusive c14n 1.0 WITHOUT comments.
`static final String`
`TRANSFORM_C14N_WITH_COMMENTS`
Transform - Recommended Inclusive c14n 1.0 WITH comments.
`static final String`
`TRANSFORM_C14N11_OMIT_COMMENTS`
Transform - Required Inclusive c14n 1.1 WITHOUT comments.
`static final String`
`TRANSFORM_C14N11_WITH_COMMENTS`
Transform - Recommended Inclusive c14n 1.1 WITH comments.
`static final String`
`TRANSFORM_ENVELOPED_SIGNATURE`
Transform - Required Enveloped Signature.
`static final String`
`TRANSFORM_XPATH`
Transform - Recommended XPath.
`static final String`
`TRANSFORM_XSLT`
Transform - Optional XSLT.
`static final String`
`TYPE_KEYINFO_DERENCODEDKEYVALUE`
Type - KeyInfo DEREncodedKeyValue.
`static final String`
`TYPE_KEYINFO_DSA_KEYVALUE`
Type - KeyInfo DSAKeyValue.
`static final String`
`TYPE_KEYINFO_ECKEYVALUE`
Type - KeyInfo ECKeyValue.
`static final String`
`TYPE_KEYINFO_KEYNAME`
Type - KeyInfo KeyName.
`static final String`
`TYPE_KEYINFO_KEYVALUE`
Type - KeyInfo KeyValue.
`static final String`
`TYPE_KEYINFO_MGMTDATA`
Type - KeyInfo MgmtData.
`static final String`
`TYPE_KEYINFO_PGPDATA`
Type - KeyInfo PGPData.
`static final String`
`TYPE_KEYINFO_PKCS7_SIGNED_DATA`
Type - A PKCS7signedData element.
`static final String`
`TYPE_KEYINFO_RAW_PGP_KEYPACKET`
Type - A binary PGP key packet.
`static final String`
`TYPE_KEYINFO_RAW_PKCS7_SIGNED_DATA`
Type - Binary PKCS7 signed data.
`static final String`
`TYPE_KEYINFO_RAW_SPKI_SEXP`
Type - A raw SPKI S-expression.
`static final String`
`TYPE_KEYINFO_RAW_X509CERT`
Type - A binary (ASN.1 DER) X.509 Certificate.
`static final String`
`TYPE_KEYINFO_RAW_X509CRL`
Type - A binary X.509 CRL.
`static final String`
`TYPE_KEYINFO_RETRIEVAL_METHOD`
Type - KeyInfo RetrievalMethod.
`static final String`
`TYPE_KEYINFO_RSA_KEYVALUE`
Type - KeyInfo RSAKeyValue.
`static final String`
`TYPE_KEYINFO_SPKIDATA`
Type - KeyInfo SPKIData.
`static final String`
`TYPE_KEYINFO_X509DATA`
Type - KeyInfo X509Data.
`static final String`
`XMLSIG_NS`
XML Signature namespace and algorithm prefix.
`static final String`
`XMLSIG_PREFIX`
XML Signature QName prefix.
`static final String`
`XMLSIG11_NS`
XML Signature 1.1 namespace and algorithm prefix.
`static final String`
`XMLSIG11_PREFIX`
XML Signature 1.1 QName prefix.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`SignatureConstants()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### XMLSIG_NS

@Nonnull @NotEmpty public static final String XMLSIG_NS
XML Signature namespace and algorithm prefix.

See Also:
  - Constant Field Values

### XMLSIG11_NS

@Nonnull @NotEmpty public static final String XMLSIG11_NS
XML Signature 1.1 namespace and algorithm prefix.

See Also:
  - Constant Field Values

### XMLSIG_PREFIX

@Nonnull @NotEmpty public static final String XMLSIG_PREFIX
XML Signature QName prefix.

See Also:
  - Constant Field Values

### XMLSIG11_PREFIX

@Nonnull @NotEmpty public static final String XMLSIG11_PREFIX
XML Signature 1.1 QName prefix.

See Also:
  - Constant Field Values

### MORE_ALGO_NS

@Nonnull @NotEmpty public static final String MORE_ALGO_NS
Algorithm URI prefix used by RFC 4051.

See Also:
  - Constant Field Values

### MORE_ALGO_2007_05_NS

@Nonnull @NotEmpty public static final String MORE_ALGO_2007_05_NS
Algorithm URI prefix used by RFC 4051 and RFC 9231.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_DSA

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_DSA
Signature - Optional DSAwithSHA1 (DSS).

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_DSA_SHA1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_DSA_SHA1
Signature - Optional DSAwithSHA1 (DSS).

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA
Signature - Required RSAwithSHA1 (PKCS1).

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA_SHA1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA_SHA1
Signature - Required RSAwithSHA1 (PKCS1).

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_SHA1

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_SHA1
MAC - Required HMAC-SHA1.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA1

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA1
Digest - Required SHA1.

See Also:
  - Constant Field Values

### ALGO_ID_ENCODING_BASE64

@Nonnull @NotEmpty public static final String ALGO_ID_ENCODING_BASE64
Encoding - Required Base64.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_DSA_KEYVALUE

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_DSA_KEYVALUE
Type - KeyInfo DSAKeyValue.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RSA_KEYVALUE

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RSA_KEYVALUE
Type - KeyInfo RSAKeyValue.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_X509DATA

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_X509DATA
Type - KeyInfo X509Data.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_PGPDATA

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_PGPDATA
Type - KeyInfo PGPData.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_SPKIDATA

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_SPKIDATA
Type - KeyInfo SPKIData.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_MGMTDATA

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_MGMTDATA
Type - KeyInfo MgmtData.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RAW_X509CERT

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RAW_X509CERT
Type - A binary (ASN.1 DER) X.509 Certificate.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_KEYVALUE

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_KEYVALUE
Type - KeyInfo KeyValue.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RETRIEVAL_METHOD

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RETRIEVAL_METHOD
Type - KeyInfo RetrievalMethod.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_KEYNAME

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_KEYNAME
Type - KeyInfo KeyName.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RAW_X509CRL

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RAW_X509CRL
Type - A binary X.509 CRL.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RAW_PGP_KEYPACKET

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RAW_PGP_KEYPACKET
Type - A binary PGP key packet.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RAW_SPKI_SEXP

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RAW_SPKI_SEXP
Type - A raw SPKI S-expression.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_PKCS7_SIGNED_DATA

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_PKCS7_SIGNED_DATA
Type - A PKCS7signedData element.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_RAW_PKCS7_SIGNED_DATA

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_RAW_PKCS7_SIGNED_DATA
Type - Binary PKCS7 signed data.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_ECKEYVALUE

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_ECKEYVALUE
Type - KeyInfo ECKeyValue.

See Also:
  - Constant Field Values

### TYPE_KEYINFO_DERENCODEDKEYVALUE

@Nonnull @NotEmpty public static final String TYPE_KEYINFO_DERENCODEDKEYVALUE
Type - KeyInfo DEREncodedKeyValue.

See Also:
  - Constant Field Values

### ALGO_ID_C14N_OMIT_COMMENTS

@Nonnull @NotEmpty public static final String ALGO_ID_C14N_OMIT_COMMENTS
Canonicalization - Inclusive 1.0 WITHOUT comments.

See Also:
  - Constant Field Values

### ALGO_ID_C14N_WITH_COMMENTS

@Nonnull @NotEmpty public static final String ALGO_ID_C14N_WITH_COMMENTS
Canonicalization - Inclusive 1.0 WITH comments.

See Also:
  - Constant Field Values

### ALGO_ID_C14N11_OMIT_COMMENTS

@Nonnull @NotEmpty public static final String ALGO_ID_C14N11_OMIT_COMMENTS
Canonicalization - Inclusive 1.1 WITHOUT comments.

See Also:
  - Constant Field Values

### ALGO_ID_C14N11_WITH_COMMENTS

@Nonnull @NotEmpty public static final String ALGO_ID_C14N11_WITH_COMMENTS
Canonicalization - Inclusive 1.1 WITH comments.

See Also:
  - Constant Field Values

### ALGO_ID_C14N_EXCL_OMIT_COMMENTS

@Nonnull @NotEmpty public static final String ALGO_ID_C14N_EXCL_OMIT_COMMENTS
Canonicalization - Exclusive WITHOUT comments.

See Also:
  - Constant Field Values

### ALGO_ID_C14N_EXCL_WITH_COMMENTS

@Nonnull @NotEmpty public static final String ALGO_ID_C14N_EXCL_WITH_COMMENTS
Canonicalization - Exclusive WITH comments.

See Also:
  - Constant Field Values

### TRANSFORM_ENVELOPED_SIGNATURE

@Nonnull @NotEmpty public static final String TRANSFORM_ENVELOPED_SIGNATURE
Transform - Required Enveloped Signature.

See Also:
  - Constant Field Values

### TRANSFORM_C14N_OMIT_COMMENTS

@Nonnull @NotEmpty public static final String TRANSFORM_C14N_OMIT_COMMENTS
Transform - Required Inclusive c14n 1.0 WITHOUT comments.

See Also:
  - Constant Field Values

### TRANSFORM_C14N_WITH_COMMENTS

@Nonnull @NotEmpty public static final String TRANSFORM_C14N_WITH_COMMENTS
Transform - Recommended Inclusive c14n 1.0 WITH comments.

See Also:
  - Constant Field Values

### TRANSFORM_C14N11_OMIT_COMMENTS

@Nonnull @NotEmpty public static final String TRANSFORM_C14N11_OMIT_COMMENTS
Transform - Required Inclusive c14n 1.1 WITHOUT comments.

See Also:
  - Constant Field Values

### TRANSFORM_C14N11_WITH_COMMENTS

@Nonnull @NotEmpty public static final String TRANSFORM_C14N11_WITH_COMMENTS
Transform - Recommended Inclusive c14n 1.1 WITH comments.

See Also:
  - Constant Field Values

### TRANSFORM_C14N_EXCL_OMIT_COMMENTS

@Nonnull @NotEmpty public static final String TRANSFORM_C14N_EXCL_OMIT_COMMENTS
Transform - Required Exclusive c14n WITHOUT comments.

See Also:
  - Constant Field Values

### TRANSFORM_C14N_EXCL_WITH_COMMENTS

@Nonnull @NotEmpty public static final String TRANSFORM_C14N_EXCL_WITH_COMMENTS
Transform - Recommended Exclusive c14n WITH comments.

See Also:
  - Constant Field Values

### TRANSFORM_XSLT

@Nonnull @NotEmpty public static final String TRANSFORM_XSLT
Transform - Optional XSLT.

See Also:
  - Constant Field Values

### TRANSFORM_XPATH

@Nonnull @NotEmpty public static final String TRANSFORM_XPATH
Transform - Recommended XPath.

See Also:
  - Constant Field Values

### TRANSFORM_BASE64_DECODE

@Nonnull @NotEmpty public static final String TRANSFORM_BASE64_DECODE
Transform - Base64 Decode.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_NOT_RECOMMENDED_RSA_MD5

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_NOT_RECOMMENDED_RSA_MD5
Signature - NOT Recommended RSAwithMD5.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA_RIPEMD160

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA_RIPEMD160
Signature - Optional RSAwithRIPEMD160.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA_SHA256
Signature - Required RSAwithSHA256.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA_SHA224

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA_SHA224
Signature - Optional RSAwithSHA224.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA_SHA384

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA_SHA384
Signature - Required RSAwithSHA384.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSA_SHA512

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSA_SHA512
Signature - Required RSAwithSHA512.

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_NOT_RECOMMENDED_MD5

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_NOT_RECOMMENDED_MD5
HMAC - NOT Recommended HMAC-MD5.

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_RIPEMD160

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_RIPEMD160
HMAC - Optional HMAC-RIPEMD160.

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_SHA224

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_SHA224
HMAC - Optional HMAC-SHA224.

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_SHA256
HMAC - Optional HMAC-SHA256.

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_SHA384

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_SHA384
HMAC - Optional HMAC-SHA284.

See Also:
  - Constant Field Values

### ALGO_ID_MAC_HMAC_SHA512

@Nonnull @NotEmpty public static final String ALGO_ID_MAC_HMAC_SHA512
HMAC - Optional HMAC-SHA512.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_ECDSA_SHA1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_ECDSA_SHA1
Signature - Optional ECDSAwithSHA1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_ECDSA_SHA224

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_ECDSA_SHA224
Signature - Optional ECDSAwithSHA224.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_ECDSA_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_ECDSA_SHA256
Signature - Optional ECDSAwithSHA256.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_ECDSA_SHA384

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_ECDSA_SHA384
Signature - Optional ECDSAwithSHA384.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_ECDSA_SHA512

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_ECDSA_SHA512
Signature - Optional ECDSAwithSHA512.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_NOT_RECOMMENDED_MD5

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_NOT_RECOMMENDED_MD5
Digest - Optional MD5.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA224

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA224
Digest - Optional SHA224.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA384

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA384
Digest - Optional SHA384.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA3_224

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA3_224
Digest - Optional SHA-3 224.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA3_256

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA3_256
Digest - Optional SHA-3 256.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA3_384

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA3_384
Digest - Optional SHA-3 384.

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA3_512

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA3_512
Digest - Optional SHA-3 512.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA1_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA1_MGF1
Signature - Optional RSASSA-PSS with SHA1 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA224_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA224_MGF1
Signature - Optional RSASSA-PSS with SHA-224 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA256_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA256_MGF1
Signature - Optional RSASSA-PSS with SHA-256 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA384_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA384_MGF1
Signature - Optional RSASSA-PSS with SHA-384 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA512_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA512_MGF1
Signature - Optional RSASSA-PSS with SHA-512 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_224_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_224_MGF1
Signature - Optional RSASSA-PSS with SHA3-224 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_256_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_256_MGF1
Signature - Optional RSASSA-PSS with SHA3-256 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_384_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_384_MGF1
Signature - Optional RSASSA-PSS with SHA3-384 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_512_MGF1

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_RSASSA_PSS_SHA3_512_MGF1
Signature - Optional RSASSA-PSS with SHA3-512 and MGF1.

See Also:
  - Constant Field Values

### ALGO_ID_SIGNATURE_DSA_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_SIGNATURE_DSA_SHA256
Signature - Optional DSAwithSHA256 (DSS).

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA256

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA256
Message Digest - SHA256 (Note: Defined by XML Encryption).

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_SHA512

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_SHA512
Message Digest - SHA512 (Note: Defined by XML Encryption).

See Also:
  - Constant Field Values

### ALGO_ID_DIGEST_RIPEMD160

@Nonnull @NotEmpty public static final String ALGO_ID_DIGEST_RIPEMD160
Message Digest - RIPEMD-160 (Note: Defined by XML Encryption).

See Also:
  - Constant Field Values

## Constructor Details

### SignatureConstants

private SignatureConstants()
Constructor.